      SUBROUTINE ADDBEDLV
   
      USE BLK1MOD
    
!                                          process node with weighting values
      DO N=1,NP
!        IF(ICN(N) .EQ. 2) THEN
          IF(NRIVCR1(N) .GT. 0) THEN
            NC1=NRIVCR1(N)
            NC2=NRIVCR2(N)
            WT1=WTRIVCR1(N)
            WT2=WTRIVCR2(N)
            WD(N)=CRSDAT(NC1,1,1)*WT1+CRSDAT(NC2,1,1)*WT2
          ENDIF
!        ENDIF
      ENDDO
      RETURN
      END